Subject: Re: bug#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

From: Paul Eggert <[email-masked]>
Date: Thu, 29 May 2025 23:24:37 -0700

On 2025-05-29 10:25, Peter Dyballa wrote:
> MacPorts' Portfile is such a fine "remote control" 

As long as it doesn't try to run autoconf etc. I won't mind.

> Configure stopped configuring when it could not find "aclocal-1.16" or "aclocal-1.18", exactly these executables, because of reasons I do not know why at all. I do not know much about the use of these tools, was never a software developer. So my first idea was to rename the text strings (I could have also provided sym-links by those names…).

None of that will work in general, unfortunately. We have to arrange for 
these programs to not be used (or else port them all to your platform, 
which sounds dicey).

> Mac OS X 10.4.11, Tiger, has an inherent problem with time stamps: they must be at least 2 sec apart!

That's weird, as many sources say that Mac OS X's HFS+ file system 
timestamp resolution is 1 s; see, for example 
<https://arstechnica.com/gadgets/2011/07/mac-os-x-10-7/#page-12>. 
Possibly you are running on a FAT32 file system, or something like that? 
If so, you might try switching to a better file system.

But even then I don't see why this would cause 'make' to think file 
timestamps are out of date.

If you have time to debug this, you could try starting with a vanilla 
tarball, run './configure', and then see which files appear to be out of 
date but aren't.